#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import os
import re

import utils


def setup(interactive=True):
    http_proxy = utils.get_conf('PROXY_HTTP')
    # apt-cacher-ng
    path = '/etc/apt-cacher-ng/acng.conf'
    if os.path.exists(path):
        with open(path, 'r') as fo:
            current_conf = fo.read()
        new_conf = re.sub(r'\nProxy:.*', '', current_conf).strip() + '\n\n'
        if http_proxy:
            new_conf += 'Proxy: %s\n' % http_proxy
        if current_conf != new_conf:
            with open(path, 'w') as fo:
                fo.write(new_conf)
            utils.log('File "%s" updated.' % path)
        else:
            utils.log('File "%s" already up to date.' % path)
    else:
        utils.log('The configuration file "%s" does not exist, nothing to do.' % path)
    cmds = [
        'service apt-cacher-ng restart',
    ]
    utils.run_commands(cmds)
